function ativardesativar(acao)
{
    users="";
    ip=document.getElementsByTagName("input")
    for(i=0;i<=ip.length-1;i++)
    {
        if(ip[i].name == "users[]" && ip[i].checked == true)
        {
            if(i != ip.length-1)
                users += ip[i].value + " ";
            else
                users += ip[i].value;
        }
    }
    if(users=="")
    {
        jAlert('Selecione algum usuário para '+acao+'!');
    }
    else
    {
        jConfirm2('Tem certeza que deseja '+acao+' os respectivos usuários:<br/><strong>'+users+'</strong><br/>', 'CONFIRME', 
            function(a){
                if(a)
                {
                    jQuery('#acao').val('status');
                    jQuery('#valor').val(acao);
                    jQuery('#frmbusca').submit();
                    jQuery('#acao').val('');
                    jQuery('#valor').val('');
                }
            })
    }
}

function makeid()
{
    var text = "";
    var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

    for( var i=0; i < 6; i++ )
        text += possible.charAt(Math.floor(Math.random() * possible.length));

    return text.toLowerCase();
}

function gerarlg(){
    jQuery('#login').val(makeid())
    jQuery('#senha').val(makeid())
}

function checkAll(a,b)
{
    for(i=0;i<=b.getElementsByTagName("input").length;i++) b.getElementsByTagName("input")[i].checked=a
}


function valData(data){//dd/mm/aaaa
data=data.split("/");
if(data[0] > 0 && data[1] <= 31)
{
    if(data[1] >= 1 && data[1] <= 12)
    {
        if(data[2] > 2000 && data[1] <= 2020)
        {
            return true
        }
    }
}
return false
}

    function checkdate(m, d, y) {
        return m > 0 && m < 13 && y > 0 && y < 32768 && d > 0 && d <= (new Date(y, m, 0))
        .getDate();
    }
    
    function alterarP(profile)
    {
        if(profile!='')
        {
            doFrm('profile', profile);
        }
        else
        {
            jAlert('Insira um profile válido!');
        }
    }
    
function checkemail(email)
{
    var filter = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
    if(filter.test(email))
        return true;
    else
        return false;
}
    
function checkspecialchars(str)
{
    return /[~`!#$%\^&*+=\-\[\]\\';,/{}|\\":<>\?]| /g.test(str);
}
    
var validation = {
isEmailAddress:function(str) {
   var pattern =/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
   return pattern.test(str);  // returns a boolean
},
isNotEmpty:function (str) {
   var pattern =/\S+/;
   return pattern.test(str);  // returns a boolean
},
isNumber:function(str) {
   var pattern = /^\d+$/;
   return pattern.test(str);  // returns a boolean
},
isSame:function(str1,str2){
  return str1 === str2;
}};   

    function isNumber(str)
    {
        return validation.isNumber(str);
    }
    

    function doFrm(acao,valor)
    {
        jQuery('#actU').val(acao);
        jQuery('#valU').val(valor);
        document.getElementById('frm').submit()
    }
    
function submitC()
{
    login=jQuery('#login').val();
    senha=jQuery('#senha').val();
    email=jQuery('#email').val();
    celular=jQuery('#celular').val().replace(/[^\d]+/g,'');
    profile=jQuery('#profile').val();

    var erro=0
    
    if(login=='' || senha == '')
    {
        erro=1
        jAlert("Preencha corretamente o campo de login/senha!");
    }
    else
    {
        if(!checkemail(email) && email!='')
        {
            erro=1
            jAlert("Preencha corretamente o campo de e-mail!");
        }
        else
        {
            if(checkspecialchars(login) || checkspecialchars(senha))
            {
                erro = 1;
                jAlert("Não preencha caracteres especiais no campo de login e/ou senha!");
            }
        }
    }
    return !erro
}

function submitG()
{
    login=jQuery('#login').val();
    senha=jQuery('#senha').val();
    email=jQuery('#email').val();
    var erro=0
    
    if(login=='' || senha == '')
    {
        erro=1
        jAlert("Preencha corretamente o campo de login/senha!");
    }
    else
    {
        if(!valData(jQuery('#datepicker').val()))
        {
            erro=1
            jAlert("Preencha corretamente o campo de vencimento!");
        }
        if(!checkemail(email) && email!='')
        {
            erro=1
            jAlert("Preencha corretamente o campo de e-mail!");
        }
        else
        {
            if(checkspecialchars(login) || checkspecialchars(senha))
            {
                erro = 1;
                jAlert("Não preencha caracteres especiais no campo de login e/ou senha!");
            }
        }
    }
    document.getElementById('permitidos').value=(profiles.join(';')).replace(/POUF/gi,"");
    return !erro;
}

function darFocoPg(nome, v_tmp)
{
    var planos=["mensal", "bimestral", "trimestral", "semestral", "anual"];
    for(x=0;x<=planos.length-1;x++)
    {
        jQuery('#'+planos[x]).css('color', '');
        jQuery('#'+planos[x]).css('font-weight', '')
    }
    jQuery('#'+nome).css('color', 'red');
    jQuery('#'+nome).css('font-weight', 'bold');
    valor = v_tmp;
}


function se(id){
    location.href="infouser.php?id="+id
}
// jQuery(document).ready(function(){
//     jQuery(".datepicker, #datepicker").datepicker("option", "dateFormat", 'dd/mm/yy');
// })

// jQuery(document).ready(function() {
//     jQuery('#celular').mask("(00) 00000-0009"); 
// })

